Subject: [bug#27344] [PATCH 11/12] gnu: Add qucs.

From: Theodoros Foradis <[email-masked]>
Date: Sat, 17 Jun 2017 13:24:33 +0300

Danny Milosavljevic writes:

> Hi,
>
> On Fri, 16 Jun 2017 19:52:27 +0300
> Theodoros Foradis <[email-masked]> wrote:
>
>> Danny Milosavljevic writes:
>> 
>> >> +             ;; The test suite requires a running X server.
>> >> +             (system "Xvfb :1 &")
>> >> +             (setenv "DISPLAY" ":1")
>> >> +             #t))  
>> >
>> > Does it?  (setenv "QT_QPA_PLATFORM" "offscreen") is not enough?  
>> 
>> Yes. I tried and (setenv "QT_QPA_PLATFORM" "offscreen") is not
>> enough. The other option would be to not do the tests, if pulling
>> xorg-server as a dependency is an issue.
>
> No, it's fine.  It's just good to try the non-huge-dependency case first.  Since it doesn't work, let's use xorg...
>
> Weird, though.  Isn't qucs just a normal GUI program?  Should have been fine with just Qt offscreen...

I did try some stuff to cut down on the dependency but didn't work. I
hadn't tried that environment variable though.

I did contact the devs, and there was no insight on the issue.

-- 
Theodoros Foradis